@import '../../styles/variables/colors';
@import '../../styles/variables/mixins';

.grounds-page {
  width: 100%;
  position: relative;
  overflow-x: hidden;
  .main-image {
    height: 100vh;
    position: relative;

    width: 100%;
    background-image: url(https://dpuq6zjiue1hs.cloudfront.net/grounds-banner.svg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    .main-title {
      margin: 0 auto;
      font-family: 'Editorial New';
      font-style: normal;
      font-weight: 200;
      font-size: 90px;
      letter-spacing: 0.01em;
      text-transform: uppercase;
      color: #f1efe5;
      position: relative;
      &::before {
        position: absolute;
        content: 'The';
        font-family: 'Notera';
        font-style: normal;
        font-weight: 400;
        font-size: 60px;
        color: #f1efe5;
        text-transform: capitalize;
        letter-spacing: 0.01em;
        left: -85px;
        top: -18px;
      }
      @include heading-font;

      @media (max-width: 1024px) {
        font-size: 50px;
        &::before {
          left: -65px;
          font-size: 40px;
        }
      }
      @media (max-width: 300px) {
        font-size: 32px;
      }
      @include mobile {
        margin-left: 50%;
        transform: translate(-40%) !important;
      }
    }
  }
  .second-section {
    width: 100%;
    position: relative;
    min-height: 100vh;
    background: #f9f6ed;

    @include tablet {
      min-height: unset;
    }
    .text-div {
      padding: 120px;
      @include tablet {
        padding: 80px 120px;
      }
      .title {
        > div {
          font-family: 'Editorial New';
          font-style: normal;
          font-weight: 200;
          text-transform: uppercase;
          display: flex;
          align-items: center;
          line-height: 1.3em;
          justify-content: center;
          > span {
            display: block;
            font-family: 'Notera';
            font-style: normal;
            font-weight: 400;
            font-size: 60px;
            margin-left: 20px;
            letter-spacing: -0.01em;
            color: #9c7e61;
            text-transform: lowercase;
            &::first-letter {
              text-transform: lowercase;
            }
          }
          @include heading-font;
        }
      }
      .content {
        font-family: 'Manrope';
        font-style: normal;
        font-weight: 400;
        color: rgba(38, 46, 47, 0.7);
        opacity: 0.7;
        width: 52ch;
        margin: 0 auto;
        margin-top: 40px;
        text-align: center;
        transform: unset !important;

        @include tablet {
          margin-top: 20px;
        }

        @include subheading-font;
      }
    }
    .images-div {
      width: 100%;
      padding: 0px 40px;
      padding-bottom: 120px;
      display: flex;
      box-sizing: border-box;
      align-items: flex-end;
      justify-content: space-between;

      @include tablet {
        padding-bottom: 80px;
      }

      .image-container {
        // height: 65vh;
        height: clamp(200px, calc(200px + 25vw), 500px);
        position: relative;
        width: calc(53% - 32px);
        &:first-of-type {
          height: clamp(200px, calc(200px + 18vw), 400px);
          // height: 50vh;
          width: 25.5%;
          margin-right: 16px;
        }
        &:last-of-type {
          height: clamp(200px, calc(200px + 18vw), 400px);
          // height: 50vh;
          width: 21.5%;
          margin-left: 16px;
        }
        .child-playing {
          object-position: 62%;
        }
        .picnic-spot {
          object-position: 42%;
        }
        > img {
          height: 100%;
          width: 100%;
          object-fit: cover;
        }
      }
    }
    .images-div-mobile {
      display: none;
      .carousel-root .control-dots .dot {
        opacity: 1;
        box-shadow: none;
        background: none;
        border: 1px solid white;
        border-radius: 50%;
        width: 8px;
        height: 8px;

        &.selected {
          background: white;
        }
      }
      img {
        height: 100%;
        width: 100vw;
        object-fit: cover;
      }
    }
    @media (max-width: 1024px) {
      min-height: unset;
      .text-div {
        padding: 50px 20px;
        .title {
          width: 100%;
          display: flex;
          flex-direction: column;
          align-items: center;
          & > * + * {
            margin-top: 1px;
          }
          > div {
            margin-left: 0;
            > span {
              margin: 0;
              font-size: 63px;
              margin-left: 10px;

              @include mobile {
                font-size: 40px;
              }
            }
            &:last-of-type {
              width: max-content;
              display: flex;
              flex-direction: column;
              text-align: center;
              // width: 100px;
              line-height: 1.3;
              > span {
                font-size: 33px;
                margin: 0;
                margin-bottom: 10px;
              }
            }
          }
        }
        .content {
          text-align: center;
          width: 41ch;
          margin-top: 20px;

          @include mobile {
            width: unset;
          }
        }
      }
      .images-div {
        display: none;
      }
      .images-div-mobile {
        display: block;
        div {
          height: 300px;
          @include tablet {
            height: 500px;
          }
        }
        li {
          img {
            @include mobile {
              height: 300px;
            }
          }
        }
      }
    }
  }
  .third-section {
    width: 100%;
    background-color: rgba(75, 91, 71, 1);
    padding: 120px 0;
    > div {
      display: flex;
      align-items: center;
      justify-content: space-between;
      .text-div {
        margin-left: 125px;
        min-width: 600px;
        .title {
          > div {
            font-family: 'Editorial New';
            font-style: normal;
            font-weight: 200;
            font-size: 62px;
            letter-spacing: 0.01em;
            text-transform: uppercase;
            color: #f9f6ed;
            display: flex;
            align-items: center;
            line-height: 1.3em;
            > span {
              display: block;
              margin-bottom: 10px;
              line-height: 2em;
              margin-right: 30px;
              font-family: 'Notera';
              font-style: normal;
              font-weight: 400;
              text-transform: lowercase;
              font-size: 60px;
              letter-spacing: 0.01em;
              color: #f1efe5;
              &::first-letter {
                text-transform: capitalize;
              }
            }
            @include heading-font;
          }
        }
        .content {
          font-family: 'Manrope';
          font-style: normal;
          font-weight: 400;
          font-size: 17px;
          color: #f9f6ed;
          opacity: 0.7;
          width: 44ch;
          margin-left: 70px;
          margin-top: 37px;
          line-height: 34px;

          @include desktop-lg {
            font-size: 20px;
          }

          @include desktop-xlg {
            font-size: 22px;
          }
          @include subheading-font;
        }
      }
      .potential-image {
        margin-right: 0;
        width: 49vw;
        height: 75vh;
        > img {
          width: 100%;
          height: 100%;
          object-fit: cover;
        }
      }
    }

    .images-div-mobile {
      display: none;
      margin-top: 90px;
      .carousel-root .control-dots .dot {
        opacity: 1;
        box-shadow: none;
        background: none;
        border: 1px solid white;
        border-radius: 50%;
        width: 8px;
        height: 8px;

        &.selected {
          background: white;
        }
      }
      .image-container {
        position: relative;
        height: 300px;
        width: 100vw;
        @include tablet {
          height: 500px;
        }
        img {
          object-fit: cover;
          object-position: revert;
          height: 100%;
          width: 100%;
        }
      }
      > div {
        > div {
          max-width: unset !important;
        }
      }
    }
    .explore-btn {
      display: none;
      background: #262e2f;
      border-radius: 150px;
      padding: 14px 19px;
      width: fit-content;
      margin: 0 auto;
      margin-top: 100px;
      font-family: 'Manrope';
      font-style: normal;
      font-weight: 400;
      font-size: 20px;
      text-align: center;
      cursor: pointer;
      letter-spacing: 0.02em;
      text-transform: uppercase;
      color: #f1efe5;
    }
    @media (max-width: 1024px) {
      padding-bottom: 0;
      padding-top: 80px;
      min-height: unset;

      @include mobile {
        padding-top: 50px;
      }
      > div {
        flex-direction: column;
        .text-div {
          margin: 0;
          padding: 0 20px;
          .title {
            width: 100%;
            > div {
              flex-direction: column;
              text-align: center;
              font-size: 40px;
              > span {
                font-size: 45px;
                margin: 0;
                @include mobile {
                  font-size: 33px;
                }
              }

              @media (max-width: 360px) {
                font-size: 32px;
              }
              &:last-child {
                line-height: 1.3;
              }
              @include heading-font;
            }
          }
          .content {
            text-align: center;
            margin: 20px 0 0;
            font-size: 14px;
            width: min(40ch, 100%);
            line-height: 1.7;
            margin-left: 50%;
            transform: translate(-50%) !important;
            padding-bottom: 50px;

            @include tablet {
              font-size: 18px;
            }
            @media (max-width: 360px) {
              width: 30ch;
            }
            @include subheading-font;
          }
        }
        .potential-image {
          display: none;
          width: 100%;
          margin-left: 0;
          margin-right: 0;
          > img {
            width: 100%;
          }
        }
      }
      .explore-btn {
        margin-top: 0;
        width: 280px;
        font-size: 14px;
      }
      .images-div-mobile {
        display: block;
        margin-top: 20px;
        height: 300px;
        @include tablet {
          height: 500px;
        }
      }
    }
  }
  .fourth-section {
    width: 100%;
    background-color: #f9f6ed;
    padding-bottom: 180px;
    padding-top: 120px;

    .text-div {
      margin: 0 auto;
      width: fit-content;
      .title {
        > div {
          font-family: 'Editorial New';
          font-style: normal;
          font-weight: 200;
          font-size: 90px;
          text-align: center;
          letter-spacing: 0.01em;
          text-transform: uppercase;
          letter-spacing: -0.01em;
          color: #262e2f;
          > span {
            font-family: 'Notera';
            font-style: normal;
            text-align: center;
            text-transform: none;
            font-weight: 400;
            font-size: 63px;
            color: #9c7e61;

            @include mobile {
              font-size: 45px;
            }
          }
          @include heading-font;
        }
      }
      .content {
        max-width: 42ch;
        font-family: 'Manrope';
        font-style: normal;
        font-weight: 400;
        font-size: 18px;
        color: rgba(38, 46, 47, 0.7);
        opacity: 0.7;
        text-align: center;
        margin: 0 auto;

        @include subheading-font;
      }
    }
    .images-div {
      width: 100%;
      position: relative;
      height: 300px;
      .image-container {
        position: absolute;
        &:nth-of-type(1) {
          width: 24vw;
          height: 400px;
          left: 0;
          bottom: 160px;
        }
        &:nth-of-type(2) {
          width: 20vw;
          height: 310px;
          left: 15vw;
          top: 40px;
        }
        &:nth-of-type(3) {
          width: 18vw;
          right: 15vw;
          height: 310px;
          top: 40px;
        }
        &:nth-of-type(4) {
          width: 20vw;
          height: 520px;
          right: 0;
          bottom: 170px;
        }
        &:nth-of-type(5) {
          width: 20vw;
          height: 290px;
          left: 6vw;
          bottom: 550px;
        }
        &:nth-of-type(6) {
          width: 20vw;
          height: 290px;
          right: 5vw;
          bottom: 550px;
        }

        > img {
          height: 100%;
          width: 100%;
          object-fit: cover;
        }
      }
    }
    .images-div-mobile {
      display: none;
      .carousel-root .control-dots .dot {
        opacity: 1;
        box-shadow: none;
        background: none;
        border: 1px solid white;
        border-radius: 50%;
        width: 8px;
        height: 8px;

        &.selected {
          background: white;
        }
      }
      img {
        height: 100%;
        width: 100vw;
        object-fit: cover;
      }
    }
    @media (max-width: 1024px) {
      min-height: unset;
      padding-bottom: 0px;
      padding-top: 80px;

      @include mobile {
        padding-top: 50px;
      }
      .text-div {
        padding: 0 20px;
        width: 100%;
        .title {
          margin: 0 auto;
          > div {
            width: 100%;
            text-align: center;
            font-size: 40px;
            margin-left: 0;
            line-height: 1.3;
            &:first-of-type {
              margin-left: 0;
              text-align: center;
              font-size: 40px;
              line-height: 0.8;
              @include tablet {
                font-size: 43px;
              }
            }
            @include heading-font;
          }
        }
        .content {
          margin-top: 20px;
        }
      }
      .images-div {
        display: none;
      }
      .images-div-mobile {
        display: block;
        div {
          height: 300px;
          @include tablet {
            height: 500px;
          }
        }
        li {
          img {
            @include mobile {
              height: 300px;
            }
          }
        }
      }
    }
    .cta-btn {
      background: transparent;
      border: 1px solid #262e2f;
      display: flex;
      border-radius: 150px;
      padding: 14px 21px;
      width: fit-content;
      margin: 0 auto;
      margin-top: 80px;
      font-family: 'Manrope';
      font-style: normal;
      font-weight: 400;
      font-size: 20px;
      text-align: center;
      cursor: pointer;
      letter-spacing: 0.02em;
      text-transform: uppercase;
      color: #f1efe5;
      background-color: transparent;

      @media (max-width: 1024px) {
        font-size: 14px;
        margin: 50px auto;
      }
      background-size: 200% 100%;
      background-image: linear-gradient(to right, #3b4344 50%, #262e2f 50%);
      transition: background-position 1s;
      &:hover {
        background-position: -100% 0;
      }
    }
  }

  .groundsBanner {
    width: 100%;
    height: 70vh;

    @include mobile {
      height: 30vh;
    }
  }
  .fifth-section {
    width: 100%;
    box-sizing: border-box;
    padding: 120px 100px;
    background-color: rgba(75, 91, 71, 1);
    .title {
      width: fit-content;
      margin: 0 auto;
      position: relative;
      text-align: center;
      font-family: 'Editorial New';
      font-style: normal;
      font-weight: 200;
      font-size: 90px;
      letter-spacing: 0.01em;
      text-transform: uppercase;
      color: #f1efe5;
      &:before {
        content: 'The';
        text-transform: capitalize;
        position: absolute;
        font-family: 'Notera';
        font-style: normal;
        font-weight: 400;
        font-size: 63px;
        letter-spacing: 0.01em;
        color: #f1efe5;
        left: -100px;
        top: -10px;
      }
      @include heading-font;
    }
    .content {
      margin-top: 100px;
      display: flex;
      justify-content: center;
      & > * + * {
        margin-left: 150px;
      }
      .list {
        > div {
          padding: 30px 0;
          font-family: 'Editorial New';
          font-style: normal;
          font-weight: 200;
          font-size: 28px;
          letter-spacing: 0.01em;
          text-transform: uppercase;
          color: rgba(241, 239, 229, 0.6);
          border-bottom: 1px solid rgba(241, 239, 229, 0.2);
          text-align: center;
          &:first-of-type {
            padding-top: 0;
          }
          &:last-of-type {
            padding-right: 40px;
            border-bottom: none;
          }
          @include desktop-lg {
            width: 600px;
            font-size: 36px;
          }

          @include desktop-xlg {
            width: 650px;
            font-size: 40px;
          }
        }
      }
      .image-div {
        width: 48vw;
        height: 68vh;
        // width: 600px;
        // height: 400px;
        @include desktop-lg {
          width: 750px;
          height: 470px;
        }
        @include desktop-xlg {
          width: 900px;
          height: 500px;
        }
        > img {
          width: 100%;
          height: 100%;
          object-fit: cover;
        }
      }
    }
    @media (max-width: 1024px) {
      padding: 80px 0 180px 0;

      @include mobile {
        padding-top: 50px;
      }
      .title {
        width: 10ch;
        text-align: center;
        font-size: 40px;
        line-height: 1.3em;
        &:before {
          left: -40px;
          font-size: 33px;
          color: #f1efe5;
        }
      }
      .content {
        margin-top: 50px;
        flex-direction: column-reverse;
        & > * + * {
          margin-left: 0px;
        }
        .list {
          margin-top: 50px;
          padding: 0 20px;
          > div {
            padding: 30px 0 !important;
            font-size: 24px;
            color: #f1efe5;
            text-align: center;
          }
        }
        .image-div {
          width: 100%;
          > img {
            width: 100%;
          }
          @include mobile {
            height: 300px;
            > img {
              width: 100%;
              height: 100%;
              object-fit: cover;
            }
          }
          @include tablet {
            height: 500px;
          }
        }
      }
    }
  }
}

// The Home Section
.footer {
  position: relative;
  z-index: 2;
  background: $green-80;
}
.theHomeSection {
  background: $green-80;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 110px;
  margin-bottom: -90px;

  @media only screen and (min-width: 1025px) and (max-width: 1160px) {
    padding: 0 30px;
  }

  // @include desktop-lg {
  //   padding: 0 0px;
  // }

  @include tablet-p {
    padding: 100px 20px 0px;
    align-items: flex-start;
  }

  @include mobile {
    flex-direction: column-reverse;
    padding: 0 20px;
  }

  .homeSectionStyle {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    margin: 0 auto;

    @include desktop-lg {
      max-width: 1440px;
    }

    @include mobile {
      flex-direction: column-reverse;
    }
  }

  .titleCustom {
    display: flex;
    align-items: flex-start;
    text-transform: uppercase;
    font-family: 'Editorial New';
    font-weight: 200;
    font-size: 65px;
    color: #e7e5df;
    letter-spacing: 0.01em;
    margin-top: -65px;

    @include tablet-p {
      font-size: 50px;
      margin: 0;
    }

    @include mobile {
      font-size: 40px;
      margin: 0;
    }
  }

  .textNotera {
    font-family: 'Notera';
    font-weight: 400;
    font-size: 53px;
    letter-spacing: 0.01em;
    color: #e7e5df;
    position: relative;
    top: -90px;

    @include tablet-p {
      top: -20px;
      text-align: center;
    }

    @include mobile {
      top: 0;
      text-align: center;
      font-size: 33px;
    }
  }

  .imgBoxStyle {
    width: 600px;
    height: 400px;
    position: relative;

    @include tablet-p {
      width: 45vw;
      height: 300px;
      margin-top: 0px;
    }

    img {
      position: absolute;
      top: -100px;
      left: 0;
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
    @include mobile {
      width: 90vw;
      height: 250px;
      margin-top: -140px;

      > img {
        top: 0;
      }
    }
    @media only screen and (min-width: 1025px) and (max-width: 1150px) {
      width: 300px;
      height: 200px;
    }
    @media only screen and (min-width: 1151px) and (max-width: 1450px) {
      width: 450px;
      height: 300px;
    }
  }

  .headSec {
    display: flex;
    align-items: flex-start;
    position: relative;
    & > * + * {
      margin-left: 10px;
    }

    @include tablet-p {
      padding-bottom: 0px;
    }

    @include mobile {
      margin-top: 30px;
      padding-bottom: 30px;
    }
  }

  .groupSec {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    margin-right: 50px;

    @include tablet-p {
      align-items: flex-start;
      justify-content: flex-start;
      flex-direction: column;
    }

    @include mobile {
      align-items: center;
      justify-content: center;
      flex-direction: column;
      padding-bottom: 150px;
      margin-right: 0;
    }
    @include tablet {
      margin-bottom: 150px;
    }
  }

  .discoverBtnMobile {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
    width: 100px;
    position: relative;
    top: -2px;
    justify-content: center;
    align-items: center;
    padding: 0;

    img {
      width: 100%;
    }

    @keyframes rotate {
      from {
        transform: rotate(0deg);
      }
      to {
        transform: rotate(360deg);
      }
    }

    &:hover {
      .imgStyle {
        animation: rotate 2s;
      }
    }

    .imgStyleArrow {
      position: absolute;
      width: clamp(20px, calc(20px + 1vw), 36px);
    }

    @include tablet-p {
      display: flex;
      top: 15px;
      width: 120px;
      margin-left: 50px;
    }

    @include mobile {
      display: flex;
      width: 90px;
    }
    @include tablet {
      margin-left: 100px;
    }
  }

  .discoverBtn {
    background: none;
    border: none;
    cursor: pointer;
    margin-bottom: 110px;
    position: relative;

    @keyframes rotate {
      from {
        transform: rotate(0deg);
      }
      to {
        transform: rotate(360deg);
      }
    }

    &:hover {
      .imgStyle {
        animation: rotate 2s;
      }
    }

    .imgStyleArrow {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      width: clamp(20px, calc(20px + 1vw), 36px);
    }

    @include tablet-p {
      display: none;
    }

    @include mobile {
      display: none;
    }

    @include desktop-lg {
      margin-right: 50px;
    }

    @include desktop-xlg {
      margin-right: 80px;
    }
  }
  .discoverBtn.rotateMe,
  .discoverBtnMobile.rotateMe {
    @keyframes rotate {
      from {
        transform: rotate(0deg);
      }
      to {
        transform: rotate(360deg);
      }
    }

    .imgStyle {
      animation: rotate 3s;
    }
  }

  .assetsSec {
    display: flex;
    align-items: flex-end;

    @include mobile {
      flex-direction: column;
    }
    @media only screen and (min-width: 1025px) {
      & > * + * {
        margin-left: 50px;
      }
    }
    @media only screen and (min-width: 1160px) and (max-width: 1400px) {
      & > * + * {
        margin-left: 100px;
      }
    }
    @media only screen and (min-width: 1400px) {
      & > * + * {
        margin-left: 140px;
      }
    }
  }
}

.requestSubmited {
  text-align: center;
}

.requestHeading {
  text-align: center;
  margin-top: 50px;
}

.millgroveText {
  font-family: 'Notera';
  font-weight: 400;
  font-size: 41.11px;
  letter-spacing: -0.01em;
  margin-top: 60px;
  text-align: center;
  color: $brown-70;

  @include mobile {
    margin-top: 50px;
    font-size: 33px;
  }
}

@media screen and (min-width: 1024px) {
  .comforts-third-section {
    background-color: rgba(75, 91, 71, 1);
    .images-div {
      width: 100%;
      padding: 120px 40px;
      display: flex;
      box-sizing: border-box;
      align-items: flex-end;
      justify-content: space-between;
      .image-container {
        height: 65vh;
        width: calc(53% - 32px);
        &:first-of-type {
          height: 50vh;
          width: 25.5%;
          margin-right: 16px;
        }
        &:last-of-type {
          height: 50vh;
          width: 21.5%;
          margin-left: 16px;
        }
        > img {
          height: 100%;
          width: 100%;
          object-fit: cover;
        }
      }
    }
    .images-div-mobile {
      display: none;
    }
  }
}

@media screen and (max-width: 1023px) {
  .comforts-third-section {
    .images-div {
      display: none;
    }
  }
  .images-div-mobile {
    display: block;
    // padding: 40px 0;
    background-color: #f9f6ed;
  }
}

@media screen and (min-width: 450px) and (max-width: 750px) {
  .girl-drinking-water,
  .butterfly-image {
    object-position: center calc(-50px - 20vw);
  }
  .bee-image {
    object-position: center calc(-50px - 10vw);
  }
  .bird-image {
    object-position: center center;
  }
  .old-men-laughing {
    object-position: center calc(-50px - 7vw);
  }
}

.iframe {
  position: fixed;
  height: 100vh;
  height: 100dvh;
  width: 100vw;
  width: 100dvw;
  top: 0;
  z-index: 10;
}

.cross-container {
  position: fixed;
  top: 0;
  right: 0;
  z-index: 11;
  height: 60px;
  width: 80px;
  background-color: #9c7e61;
  display: flex;
  justify-content: center;
  align-items: center;

  @include tablet {
    height: 50px;
    width: 50px;
  }

  > img {
    cursor: pointer;
    border-radius: 100%;
    background-size: 100% 200%;
    background-image: linear-gradient(
      to top,
      rgb(175, 168, 168) 50%,
      transparent 50%
    );
    transition: background-position 1s;
    &:hover {
      background-position: 100% 100%;
    }
  }
}
